package com.demo;

import java.util.HashMap;
import java.util.Map;

import org.json.JSONArray;
import org.json.JSONObject;

import com.privatenumber.PrivateNumber;

public class demo {
	// 设置应用的key
	private static final String APPKEY = "";
	// 设置应用的秘钥
	private static final String APPSECRET = "";

	public static void main(String[] args) {
		// 这里进行调用
		axbBind();
	}

	/**
	 * 获取服务器的时间
	 */
	public static void getServerTime()
	{
		PrivateNumber pn = new PrivateNumber();
		JSONObject obj = pn.getServerTime();
	    System.out.println(obj);
	}

	/**
	 * 获取axb的可用号码
	 */
	public static void getAxbNumber()
	{
		PrivateNumber pn = new PrivateNumber();
		pn.setAppkey(APPKEY);
		pn.setSecret(APPSECRET);
		// 区号为可选值
		String code = "0755";
		JSONObject obj = pn.getAxbNumber(code);
		// 这里解析json
		String hcode = obj.getString("code");
		if(hcode == "200") {
			JSONArray arr = obj.getJSONArray("data");
			// 这里是号码的列表
			for(int i = 0; i < arr.length(); i++) {
				JSONObject child = arr.getJSONObject(i);
				System.out.println(child);
			}
		} else {
			System.out.println(obj.getString("msg"));
		}
	}

	/**
	 * axb模式绑定
	 */
	public static void axbBind()
	{
		PrivateNumber pn = new PrivateNumber();
		pn.setAppkey(APPKEY);
		pn.setSecret(APPSECRET);

		String number = "";   // 虚拟小号，格式为11位手机号
		String aparty = "";   // a号码
		String bparty = "";   // b号码
		int record = 0;      // 是否录音，1代表录音
		int maxduration = 0; // 最大通话时长，0代表不限制，最长为1440，单位为分钟
		int enddate = 0;     // 自动解绑时间，为时间戳格式
		Map<String, String> map = new HashMap<String, String>();
		map.put("number", number);
		map.put("aparty", aparty);
		map.put("bparty", bparty);
		map.put("recording",  Integer.toString(record));
		map.put("maxduration", Integer.toString(maxduration));
		if(enddate != 0) {
			map.put("enddate", Long.toString(enddate / 1000));
		}
		JSONObject obj = pn.axbBind(map);
		System.out.println(obj);
	}
}
